Debian Bug report logs - #467685
libcpan-mini-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libcpan-mini-perl; Maintainer for libcpan-mini-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libcpan-mini-perl is src:libcpan-mini-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:13:38 UTC

Severity: important

Tags: patch

Found in version libcpan-mini-perl/0.550-1

Fixed in version libcpan-mini-perl/0.550-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <rafl@debian.org>:
Bug#467685; Package libcpan-mini-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libcpan-mini-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:13 +0200
Package: libcpan-mini-perl
Version: 0.550-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#467685; Package libcpan-mini-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #10 received at 467685@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467685@bugs.debian.org
Subject: libcpan-mini-perl: diff for NMU version 0.550-1.1
Date: Sat, 5 Apr 2008 22:16:30 +0100
[Message part 1 (text/plain, inline)]
tags 467685 + patch
thanks

Hi,

Attached is the diff for my libcpan-mini-perl 0.550-1.1 NMU.
467687 libcrypt-hcesha-perl
467695 libbiblio-isis-perl
467704 libcrypt-des-ede3-perl
467707 libclass-accessor-chained-perl
467716 libcddb-get-perl
467727 libconvert-asn1-perl
467737 libcss-tiny-perl
467741 libcvs-perl
467744 libdata-hierarchy-perl
467746 libdata-buffer-perl
467750 libdata-compare-perl
467754 libdigest-bubblebabble-perl
467776 libweather-com-perl
467782 libfile-chdir-perl
467788 libextutils-autoinstall-perl
467791 libhash-merge-perl
467793 libfile-flat-perl
467795 libfile-scan-perl
467797 libfile-homedir-perl
467798 libmail-checkuser-perl
467804 libmodule-depends-perl
467813 libnet-jabber-perl
467815 libmp4-info-perl
467820 libdevice-modem-perl
467822 libfile-type-perl
467823 libemail-find-perl
467827 libdevel-ptkdb-perl
467839 libxml-treepp-perl
467841 libquantum-superpositions-perl
467845 libregexp-shellish-perl
467848 libpod-tests-perl
467850 libperlio-via-dynamic-perl
467856 libperlio-via-symlink-perl
467858 libsysadm-install-perl
467859 libxml-filter-xslt-perl
467860 libprefork-perl
467862 libparams-util-perl
467865 libnet-ldap-perl
467869 libperl6-say-perl
467874 libnet-xmpp-perl
467883 libio-socket-ssl-perl
467890 liblwpx-paranoidagent-perl
467891 libkwiki-cache-perl
467893 libmail-milter-perl
467894 libstruct-compare-perl
467898 libmodule-pluggable-fast-perl
467900 libkwiki-perl
467902 liblwp-protocol-http-socketunix-perl
467903 libio-all-perl
467908 libhtml-fromtext-perl
467915 liblocale-maketext-simple-perl
467928 libtree-simple-visitorfactory-perl
467929 libwww-indexparser-perl
467930 libxml-dt-perl
467939 libgtk2-ex-simple-list-perl
467991 libppi-html-perl
467995 libogg-vorbis-header-pureperl-perl
468000 libnet-whois-ripe-perl
[libcpan-mini-perl-0.550-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 21:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#467685; Package libcpan-mini-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #17 received at 467685@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467685@bugs.debian.org
Subject: libcpan-mini-perl: diff for NMU version 0.550-1.1
Date: Sat, 5 Apr 2008 22:18:42 +0100
[Message part 1 (text/plain, inline)]
tags 467685 + patch
thanks

Hi,

Attached is the diff for my libcpan-mini-perl 0.550-1.1 NMU.
467687 libcrypt-hcesha-perl
467695 libbiblio-isis-perl
467704 libcrypt-des-ede3-perl
467707 libclass-accessor-chained-perl
467716 libcddb-get-perl
467727 libconvert-asn1-perl
467737 libcss-tiny-perl
467741 libcvs-perl
467744 libdata-hierarchy-perl
467746 libdata-buffer-perl
467750 libdata-compare-perl
467754 libdigest-bubblebabble-perl
467776 libweather-com-perl
467782 libfile-chdir-perl
467788 libextutils-autoinstall-perl
467791 libhash-merge-perl
467793 libfile-flat-perl
467795 libfile-scan-perl
467797 libfile-homedir-perl
467798 libmail-checkuser-perl
467804 libmodule-depends-perl
467813 libnet-jabber-perl
467815 libmp4-info-perl
467820 libdevice-modem-perl
467822 libfile-type-perl
467823 libemail-find-perl
467827 libdevel-ptkdb-perl
467839 libxml-treepp-perl
467841 libquantum-superpositions-perl
467845 libregexp-shellish-perl
467848 libpod-tests-perl
467850 libperlio-via-dynamic-perl
467856 libperlio-via-symlink-perl
467858 libsysadm-install-perl
467859 libxml-filter-xslt-perl
467860 libprefork-perl
467862 libparams-util-perl
467865 libnet-ldap-perl
467869 libperl6-say-perl
467874 libnet-xmpp-perl
467883 libio-socket-ssl-perl
467890 liblwpx-paranoidagent-perl
467891 libkwiki-cache-perl
467893 libmail-milter-perl
467894 libstruct-compare-perl
467898 libmodule-pluggable-fast-perl
467900 libkwiki-perl
467902 liblwp-protocol-http-socketunix-perl
467903 libio-all-perl
467908 libhtml-fromtext-perl
467915 liblocale-maketext-simple-perl
467928 libtree-simple-visitorfactory-perl
467929 libwww-indexparser-perl
467930 libxml-dt-perl
467939 libgtk2-ex-simple-list-perl
467991 libppi-html-perl
467995 libogg-vorbis-header-pureperl-perl
468000 libnet-whois-ripe-perl
[libcpan-mini-perl-0.550-1.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#467685; Package libcpan-mini-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #22 received at 467685@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467685@bugs.debian.org
Subject: libcpan-mini-perl: diff for NMU version 0.550-1.1
Date: Sat, 5 Apr 2008 22:19:37 +0100
[Message part 1 (text/plain, inline)]
tags 467685 + patch
thanks

Hi,

Attached is the diff for my libcpan-mini-perl 0.550-1.1 NMU.
467687 libcrypt-hcesha-perl
467695 libbiblio-isis-perl
467704 libcrypt-des-ede3-perl
467707 libclass-accessor-chained-perl
467716 libcddb-get-perl
467727 libconvert-asn1-perl
467737 libcss-tiny-perl
467741 libcvs-perl
467744 libdata-hierarchy-perl
467746 libdata-buffer-perl
467750 libdata-compare-perl
467754 libdigest-bubblebabble-perl
467776 libweather-com-perl
467782 libfile-chdir-perl
467788 libextutils-autoinstall-perl
467791 libhash-merge-perl
467793 libfile-flat-perl
467795 libfile-scan-perl
467797 libfile-homedir-perl
467798 libmail-checkuser-perl
467804 libmodule-depends-perl
467813 libnet-jabber-perl
467815 libmp4-info-perl
467820 libdevice-modem-perl
467822 libfile-type-perl
467823 libemail-find-perl
467827 libdevel-ptkdb-perl
467839 libxml-treepp-perl
467841 libquantum-superpositions-perl
467845 libregexp-shellish-perl
467848 libpod-tests-perl
467850 libperlio-via-dynamic-perl
467856 libperlio-via-symlink-perl
467858 libsysadm-install-perl
467859 libxml-filter-xslt-perl
467860 libprefork-perl
467862 libparams-util-perl
467869 libperl6-say-perl
467874 libnet-xmpp-perl
467883 libio-socket-ssl-perl
467890 liblwpx-paranoidagent-perl
467891 libkwiki-cache-perl
467893 libmail-milter-perl
467894 libstruct-compare-perl
467898 libmodule-pluggable-fast-perl
467900 libkwiki-perl
467902 liblwp-protocol-http-socketunix-perl
467903 libio-all-perl
467908 libhtml-fromtext-perl
467915 liblocale-maketext-simple-perl
467928 libtree-simple-visitorfactory-perl
467929 libwww-indexparser-perl
467930 libxml-dt-perl
467939 libgtk2-ex-simple-list-perl
467991 libppi-html-perl
467995 libogg-vorbis-header-pureperl-perl
468000 libnet-whois-ripe-perl
[libcpan-mini-perl-0.550-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 21:21:05 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 21:21:07 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 467685-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467685-close@bugs.debian.org
Subject: Bug#467685: fixed in libcpan-mini-perl 0.550-1.1
Date: Sat, 05 Apr 2008 21:32:13 +0000
Source: libcpan-mini-perl
Source-Version: 0.550-1.1

We believe that the bug you reported is fixed in the latest version of
libcpan-mini-perl, which is due to be installed in the Debian FTP archive:

libcpan-mini-perl_0.550-1.1.diff.gz
  to pool/main/libc/libcpan-mini-perl/libcpan-mini-perl_0.550-1.1.diff.gz
libcpan-mini-perl_0.550-1.1.dsc
  to pool/main/libc/libcpan-mini-perl/libcpan-mini-perl_0.550-1.1.dsc
libcpan-mini-perl_0.550-1.1_all.deb
  to pool/main/libc/libcpan-mini-perl/libcpan-mini-perl_0.550-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467685@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libcpan-mini-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:08:51 +0100
Source: libcpan-mini-perl
Binary: libcpan-mini-perl
Architecture: source all
Version: 0.550-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <rafl@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libcpan-mini-perl - create a minimal mirror of CPAN
Closes: 467685
Changes: 
 libcpan-mini-perl (0.550-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467685
Files: 
 7687d491d07710246d6056b989bb9a19 736 perl optional libcpan-mini-perl_0.550-1.1.dsc
 4445500546a1e4ed0a2472f6b3ff1981 1696 perl optional libcpan-mini-perl_0.550-1.1.diff.gz
 ce9021ba4497da04a8ad7db0356d40dd 17114 perl optional libcpan-mini-perl_0.550-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+IXNIW6CNDsByMRAv1OAJ4mjcWz/GAH/LHm50NqLujhZ9cKsgCg1ybX
LI2Quefvd7C7xRHAL2abNRM=
=Wl5C
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:53:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:15:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.